# ------------------------------------------------------------------------
# The following Python code is implemented by Professor Terje Haukaas at
# the University of British Columbia in Vancouver, Canada. It is made
# freely available online at terje.civil.ubc.ca together with notes,
# examples, and additional Python code. Please be cautious when using
# this code; it may contain bugs and comes without warranty of any kind.
# ------------------------------------------------------------------------

import numpy as np

def createHalfSineWave(T, numHalfSineWaves, dt, amplitudeINg, fileName):

    omega = 2 * np.pi / T
    duration = T/2.0*numHalfSineWaves
    t = np.arange(0, duration, dt)
    groundMotion = np.array(amplitudeINg * (np.sin(omega * t)))
    with open(fileName, 'w') as file:
        for i in range(len(t)):
            file.write("%.5f " % groundMotion[i])
            if (i+1) % 8 == 0 and i != 0:
                file.write('\n')
    file.close()

    return
